Index: trunk/src/project_profile.sh
===================================================================
--- trunk/src/project_profile.sh	(revision 10)
+++ trunk/src/project_profile.sh	(revision 12)
@@ -13,11 +13,15 @@
 # ========
 #
-# Online usage::
-#
-#  $ . ./project_profile.sh -d directory -i indir -o outdir -t tempdir -s saxo_dir
-#
-# In ${HOME}/.profile, add the following line::
-#
-#  . project_profile.sh -d directory  -i indir -o outdir -t tempdir -s saxo_dir
+# Online usage:
+#
+# .. code-block:: bash
+#
+#    . ./project_profile.sh -d directory -i indir -o outdir -t tempdir -s saxo_dir
+#
+# In ${HOME}/.profile, add the following line:
+#
+# .. code-block:: bash
+#
+#    . project_profile.sh -d directory -i indir -o outdir -t tempdir -s saxo_dir
 #
 # DESCRIPTION
@@ -55,8 +59,10 @@
 # ========
 #
-# For fplod, on aedon.locean-ipsl.upmc.fr::
-#
-#  $ cd /usr/home/fplod/incas/pomme/pomme_ws/
-#  $ . ./src/project_profile.sh \
+# For fplod, on aedon.locean-ipsl.upmc.fr:
+#
+# .. code-block:: bash
+#
+#    cd /usr/home/fplod/incas/pomme/pomme_ws/
+#    . ./src/project_profile.sh \
 #    -d $(pwd) \
 #    -i /usr/temp/${LOGNAME}/pomme_d/ \
@@ -65,8 +71,10 @@
 #    -s /usr/home/fplod/SAXO_DIR/
 #
-# For fplod on cratos.locean-ipsl.umpc.fr::
-#
-#  $ cd ${HOME}/incas/pomme/pomme_ws/
-#  $ . ./src/project_profile.sh \
+# For fplod on cratos.locean-ipsl.umpc.fr:
+#
+# .. code-block:: bash
+#
+#    cd ${HOME}/incas/pomme/pomme_ws/
+#    . ./src/project_profile.sh \
 #    -d $(pwd) \
 #    -i /usr/temp/${LOGNAME}/pomme_d/ \
@@ -75,13 +83,15 @@
 #    -s ${HOME}/SAXO_DIR/
 #
-# For pinsard on camelot.ipsl.polytechnique.fr or merlin15-c.climserv::
-#
-#  $ cd ${HOME}/pomme/
-#  $ . ./src/project_profile.sh \
-#   -d $(pwd) \
-#   -i /homedata/${LOGNAME}/pomme_d/ \
-#   -o /homedata/${LOGNAME}/pomme_d/ \
-#   -t /homedata/${LOGNAME}/log/ \
-#   -s ${HOME}/SAXO_DIR/
+# For pinsard on camelot.ipsl.polytechnique.fr or merlin15-c.climserv:
+#
+# .. code-block:: bash
+#
+#    cd ${HOME}/pomme/
+#    . ./src/project_profile.sh \
+#    -d $(pwd) \
+#    -i /homedata/${LOGNAME}/pomme_d/ \
+#    -o /homedata/${LOGNAME}/pomme_d/ \
+#    -t /homedata/${LOGNAME}/log/ \
+#    -s ${HOME}/SAXO_DIR/
 #
 # TODO
@@ -94,5 +104,5 @@
 # ++ besoin de posix
 #
-# ++ pas de MANPATH defini par défaut sur cratos  et cerbere
+# ++ pas de MANPATH defini par défaut sur cratos et cerbere
 #
 # EVOLUTIONS
@@ -101,5 +111,5 @@
 # - fplod 20110426T151058Z cratos.locean-ipsl.upmc.fr (Linux)
 #
-#   * add IDL and  SAXO env.
+#   * add IDL and SAXO env.
 #   * replace POMME by PROJECT
 #   * replace zeus by cratos
@@ -112,10 +122,10 @@
 system=$(uname)
 case "${system}" in
-   AIX|IRIX64)
-      echo " www : no specific posix checking"
-   ;;
-   *)
-      set -o posix
-   ;;
+    AIX|IRIX64)
+        echo " www : no specific posix checking"
+    ;;
+    *)
+        set -o posix
+    ;;
 esac
 unset system
@@ -132,38 +142,38 @@
 while [ ${#} -gt 0 ]
 do
-   case ${1} in
-      -d)
-         # directory for application choosen by user (see svn checkout command used)
-         directory=${2}
-         shift
-      ;;
-      -i)
-         # directory for inputs choosen by user
-         indir=${2}
-         shift
-      ;;
-      -o)
-         # directory for outputs choosen by user
-         outdir=${2}
-         shift
-      ;;
-      -t)
-         # directory for temporary outputs choosen by user
-         tempdir=${2}
-         shift
-      ;;
-      -s)
-         saxo_dir=${2}
-         shift
-      ;;
-      *)
-         # other choice
-         echo "eee : unknown option ${1}"
-         echo "${usage}"
-         # nb : no exit because this file should be launched by login process
-      ;;
-   esac
-   # next flag
-   shift
+    case ${1} in
+        -d)
+            # directory for application choosen by user (see svn checkout command used)
+            directory=${2}
+            shift
+        ;;
+        -i)
+            # directory for inputs choosen by user
+            indir=${2}
+            shift
+        ;;
+        -o)
+            # directory for outputs choosen by user
+            outdir=${2}
+            shift
+        ;;
+        -t)
+            # directory for temporary outputs choosen by user
+            tempdir=${2}
+            shift
+        ;;
+        -s)
+            saxo_dir=${2}
+            shift
+        ;;
+        *)
+            # other choice
+            echo "eee : unknown option ${1}"
+            echo "${usage}"
+            # nb : no exit because this file should be launched by login process
+        ;;
+    esac
+    # next flag
+    shift
 done
 unset usage
@@ -172,6 +182,6 @@
 if [ ! -d ${directory} ]
 then
-   echo " eee : ${directory} not found"
-   # nb : no exit because this file should be launched by login process
+    echo " eee : ${directory} not found"
+    # nb : no exit because this file should be launched by login process
 fi
 #
@@ -179,6 +189,6 @@
 if [ ! -x ${directory} ]
 then
-   echo " eee : ${directory} not reachable"
-   # nb : no exit because this file should be launched by login process
+    echo " eee : ${directory} not reachable"
+    # nb : no exit because this file should be launched by login process
 fi
 #
@@ -194,9 +204,9 @@
 if [ ${test_path} -ne 0 ]
 then
-   PATH=${suppath}:${PATH}
-   export PATH
+    PATH=${suppath}:${PATH}
+    export PATH
 else
-   # option bavarde oui/non pas encore implantée ++
-   echo "${command} : iii : ${suppath} already in \${PATH}"
+    # option bavarde oui/non pas encore implantée ++
+    echo "${command} : iii : ${suppath} already in \${PATH}"
 fi
 unset test_path
@@ -209,9 +219,9 @@
 if [ ${test_manpath} -ne 0 ]
 then
-   MANPATH=${suppath}:${MANPATH}
-   export MANPATH
+    MANPATH=${suppath}:${MANPATH}
+    export MANPATH
 else
-   # option bavarde oui/non pas encore implantée ++
-   echo "${command} : iii : ${suppath} already in \${MANPATH}"
+    # option bavarde oui/non pas encore implantée ++
+    echo "${command} : iii : ${suppath} already in \${MANPATH}"
 fi
 unset test_manpath
@@ -223,20 +233,20 @@
 if [ ! -d ${PROJECT_LOG} ]
 then
-   mkdir -p ${PROJECT_LOG}
-   status=${?}
-   if [ ${status} -ne 0 ]
-   then
-      echo "${command} : eee : can not create \${POMME_LOG}"
-      # nb : no exit because this file should be launched by login process
-   else
-      echo "${command} : iii : creation of \${PROJECT_LOG}"
-   fi
-   unset status
+    mkdir -p ${PROJECT_LOG}
+    status=${?}
+    if [ ${status} -ne 0 ]
+    then
+        echo "${command} : eee : can not create \${POMME_LOG}"
+        # nb : no exit because this file should be launched by login process
+    else
+        echo "${command} : iii : creation of \${PROJECT_LOG}"
+    fi
+    unset status
 fi
 # check for permission on PROJECT_LOG
 if [ ! -x ${PROJECT_LOG} ]
 then
-   echo " eee : ${PROJECT_LOG} not reachable"
-   # nb : no exit because this file should be launched by login process
+    echo " eee : ${PROJECT_LOG} not reachable"
+    # nb : no exit because this file should be launched by login process
 fi
 #
@@ -244,6 +254,6 @@
 if [ ! -w ${PROJECT_LOG} ]
 then
-   echo " eee : ${PROJECT_LOG} not writable"
-   # nb : no exit because this file shouldreachable be launched by login process
+    echo " eee : ${PROJECT_LOG} not writable"
+    # nb : no exit because this file shouldreachable be launched by login process
 fi
 #
@@ -257,12 +267,12 @@
 if [ ! -d ${PROJECT_ID} ]
 then
-   mkdir -p ${PROJECT_ID}
-   echo "${command} : iii : creation of \${PROJECT_ID}"
+    mkdir -p ${PROJECT_ID}
+    echo "${command} : iii : creation of \${PROJECT_ID}"
 fi
 # check for permission on PROJECT_ID
 if [ ! -x ${PROJECT_ID} ]
 then
-   echo " eee : ${PROJECT_ID} not reachable"
-   # nb : no exit because this file should be launched by login process
+    echo " eee : ${PROJECT_ID} not reachable"
+    # nb : no exit because this file should be launched by login process
 fi
 #
@@ -278,11 +288,11 @@
 if [ ! -x ${PROJECT_OD} ]
 then
-   echo " eee : ${PROJECT_OD} not reachable"
-   # nb : no exit because this file should be launched by login process
+    echo " eee : ${PROJECT_OD} not reachable"
+    # nb : no exit because this file should be launched by login process
 fi
 if [ ! -w ${PROJECT_OD} ]
 then
-   echo " eee : ${PROJECT_OD} not writable"
-   # nb : no exit because this file should be launched by login process
+    echo " eee : ${PROJECT_OD} not writable"
+    # nb : no exit because this file should be launched by login process
 fi
 #
